APIInference
Inference Connections_list
Managed platform connections are pinned to the first page and counted in the total.
GET
Managed platform connections are pinned to the first page and counted in the total.
ApiKeyAuthheader
AuthorizationBearer <token>Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.
Required permission
view_inferenceoffset?integerNumber of items to skip before returning results.
Format
int32Range
0 <= valueDefault
0limit?integerMaximum number of items to return per page.
Format
int32Range
0 <= value <= 256Default
10The request has succeeded.
application/json- response
A page of results together with its paging information.
items*array<>The items in this page.
meta*Paging information for a list response.
curl -X GET "https://example.com/inference/connections"{ "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "provider_type": "openai", "base_url": "string", "allowed_models": [ "string" ], "has_api_key": true, "managed": true, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "meta": { "total": 0, "offset": 0, "limit": 0 }}